Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0030192
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] 07. Sales managementmajoralways2015-06-15 16:072015-06-22 11:30
ReporterngarciaView Statuspublic 
Assigned Toaferraz 
PriorityimmediateResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisiona08af337d595
ProjectionnoneETAnoneTarget Version3.0PR15Q2.3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tovmromanos
Web browser
ModulesCore
Regression levelProduction - QA Approved
Regression date2015-02-18
Regression introduced in release3.0PR15Q2
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/a1c3c8123501 [^]
Triggers an Emergency PackNo
Summary

0030192: Wrong commission amount if the invoice has fractionated payment terms but it is paid in the same commission period

DescriptionWrong commission amount if the invoice has fractionated payment terms but it is paid in the same commission period
Steps To ReproduceAs group admin role:
   Create a Commission
      Basis Document: Invoice
      Basis Status: Fully paid documents
      Basis Amount: Net amount
   Add a line to it:
      Based on Sales Rep.: 'Y'
      Business Partner Category: 'Customer - Tier 3'
      Multiplier amount: 0.13
   Create a Payment Term:
      Overdue Payment Days Rule: 60
   Add a line to it
      Percentage Due: 50
      Overdue Payment Days Rule: 30
   Create a Sales Invoice for 'Hoteles Buenas Noches, S.A.'
   Add the previously defined sales representative and payment terms
   Complete it
   Pay it in one payment
   Go to Commission window and click on Generate Commission process
   Go to Commission Payment window and check there is only one line with the Actual Amount different from the invoice's total net amount
TagsApproved
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0030184 closedaferraz Wrong commission amount if the invoice has fractionated payment terms but it is paid in the same commission period 

-  Notes
(0078403)
hgbot (developer)
2015-06-22 11:29

Repository: erp/backports/3.0PR15Q2.3
Changeset: a08af337d59520233a97901938e07706a1aa6cf2
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Tue Jun 16 20:02:44 2015 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR15Q2.3/rev/a08af337d59520233a97901938e07706a1aa6cf2 [^]

Fixes issue 30192: Wrong commission amount

In case of Basis Status = "Fully paid documents", select query should not have distinct clause, as each line will be retrieved as percentage of invoice line amount.

---
M src-db/database/model/functions/C_COMMISSION_PROCESS.xml
---
(0078404)
vmromanos (developer)
2015-06-22 11:30

Code review + testing OK

- Issue History
Date Modified Username Field Change
2015-06-16 19:42 aferraz Type defect => backport
2015-06-16 19:42 aferraz Target Version => 3.0PR15Q2.2
2015-06-17 09:38 dmitry_mezentsev Tag Attached: Approved
2015-06-22 10:59 vmromanos Target Version 3.0PR15Q2.2 => 3.0PR15Q2.3
2015-06-22 11:29 hgbot Checkin
2015-06-22 11:29 hgbot Note Added: 0078403
2015-06-22 11:29 hgbot Status scheduled => resolved
2015-06-22 11:29 hgbot Resolution open => fixed
2015-06-22 11:29 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR15Q2.3/rev/a08af337d59520233a97901938e07706a1aa6cf2 [^]
2015-06-22 11:30 vmromanos Review Assigned To => vmromanos
2015-06-22 11:30 vmromanos Note Added: 0078404
2015-06-22 11:30 vmromanos Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker